<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="closeDialog"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Reportes</v-toolbar-title>
          <v-spacer></v-spacer>

        </v-toolbar>
        <iframe v-if="fileUrl" id="ifrm" :src="fileUrl" width="100%" height="600"></iframe>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
export default {
  name: 'FramePdf',
  props: {
    dialog: {
      type: Boolean,
      default: false
    },
    fileUrl: {
      default: null
    }
  },
  data () {
    return {

    }
  },
  methods: {
    closeDialog() {
      this.$emit('onCloseDialog')
    }
  }
}
</script>

<style>

</style>
